%set global %%method_eth0='macvlan'
%set global %%method_eth1='macvlan'
%set global %%method_eth2='macvlan'
%set global %%method_eth3='macvlan'
%set global %%method_eth4='macvlan'
%include "/etc/eole/containers_bridge.conf"

 %if %%method_eth0 == 'bridge' and %%adresse_ip_br0 != "127.0.0.1"
%set %%interface_eth0='breth0'
 %else
%set %%interface_eth0=%%interface_gw
 %end if
%if %%adresse_ip_br0 != "127.0.0.1"

/sbin/iptables -A cont-root -i br0 -s %%adresse_network_br0/%%adresse_netmask_br0 -d %%adresse_ip_br0 -p tcp --syn --dport 20514 -j ACCEPT

/sbin/iptables -t nat -A POSTROUTING -o %%interface_eth0 -s %%adresse_network_br0/%%adresse_netmask_br0 -d 0.0.0.0/0.0.0.0 -j SNAT --to-source %%adresse_ip_eth0
/sbin/iptables -A INPUT -s %%adresse_network_br0/%%adresse_netmask_br0 -d %%adresse_ip_br0 -i br0 -p tcp -m tcp --dport 514 --tcp-flags FIN,SYN,RST,ACK SYN -j ACCEPT

/sbin/iptables -A INPUT -i br0 -m state --state RELATED,ESTABLISHED -j ACCEPT
/sbin/iptables -A FORWARD -i br0 -m state --state RELATED,ESTABLISHED -j ACCEPT
/sbin/iptables -A FORWARD -i %%interface_eth0 -o br0 -m state --state RELATED,ESTABLISHED -j ACCEPT

/sbin/iptables -A cont-cont -m limit --limit 15/min -j LOG --log-prefix="iptables DROP cont->cont: "
/sbin/iptables -A cont-cont -j DROP
/sbin/iptables -A FORWARD -i br0 -j cont-cont -d %%adresse_network_br0/%%adresse_netmask_br0

/sbin/iptables -A cont-root -m limit --limit 15/min -j LOG --log-prefix="iptables DROP cont->root: "
/sbin/iptables -A cont-root -j DROP
/sbin/iptables -A INPUT -i br0 -s %%adresse_network_br0/%%adresse_netmask_br0 -d %%adresse_ip_br0 -j cont-root

/sbin/iptables -A cont-wide  -m limit --limit 15/min -j LOG --log-prefix="iptables DROP cont->wide: "
/sbin/iptables -A cont-wide -j DROP
/sbin/iptables -A FORWARD -i br0 -j cont-wide

/sbin/iptables -A wide-wide -m state --state ESTABLISHED,RELATED -j ACCEPT
/sbin/iptables -A wide-wide -j DROP
#Pas de la règle qui suit pour eclair
%if %%method_eth0 != 'bridge'
/sbin/iptables -A FORWARD -i %%interface_eth0 -o %%interface_eth0 -j wide-wide
%end if
%end if

%if %%nombre_interfaces >= "2"
 %if %%method_eth1 == 'bridge'
  %set %%nom_interface_eth1="breth1"
 %else
  %set %%nom_interface_eth1="eth1"
 %end if
#Conditionner pour ne s'appliquer que sur eclair en mode deux cartes
%if %%is_defined('interface_client_ltsp') and %%nombre_interfaces == '2'
/sbin/iptables -t nat -A POSTROUTING -o %%interface_eth0 -s %%adresse_network_eth1/%%adresse_netmask_eth1 -d 0.0.0.0/0.0.0.0 -j SNAT --to-source %%adresse_ip_eth0
%end if

/sbin/iptables -A eth1-root -m state --state ESTABLISHED,RELATED -j ACCEPT
/sbin/iptables -A eth1-root -j DROP
 %if %%method_eth1 == 'bridge'
/sbin/iptables -A FORWARD -i breth1 -j ACCEPT
 %end if
/sbin/iptables -A INPUT -i %%nom_interface_eth1 -d %%adresse_ip_eth1 -j eth1-root

/sbin/iptables -A eth0-eth1 -m state --state ESTABLISHED,RELATED -j ACCEPT
/sbin/iptables -A eth0-eth1 -j DROP
/sbin/iptables -A FORWARD -i %%interface_eth0 -o %%nom_interface_eth1 -j eth0-eth1

/sbin/iptables -A eth1-eth0 -m state --state ESTABLISHED,RELATED -j ACCEPT
/sbin/iptables -A eth1-eth0 -j DROP
/sbin/iptables -A FORWARD -i %%nom_interface_eth1 -o %%interface_eth0 -j eth1-eth0
%end if
%if %%nombre_interfaces >= "3"
/sbin/iptables -A eth2-root -m state --state ESTABLISHED,RELATED -j ACCEPT
/sbin/iptables -A eth2-root -j DROP
 %if %%method_eth2 == 'bridge'
/sbin/iptables -A FORWARD -i breth2 -j ACCEPT
/sbin/iptables -A INPUT -i breth2 -j eth2-root
 %else
/sbin/iptables -A INPUT -i eth2 -j eth2-root
 %end if
%end if
%if %%nombre_interfaces >= "4"
/sbin/iptables -A eth3-root -m state --state ESTABLISHED,RELATED -j ACCEPT
/sbin/iptables -A eth3-root -j DROP
 %if %%method_eth3 == 'bridge'
/sbin/iptables -A FORWARD -i breth3 -j ACCEPT
/sbin/iptables -A INPUT -i breth3 -j eth3-root
 %else
/sbin/iptables -A INPUT -i eth3 -j eth3-root
 %end if
%end if
%if %%nombre_interfaces >= "5"
/sbin/iptables -A eth4-root -m state --state ESTABLISHED,RELATED -j ACCEPT
/sbin/iptables -A eth4-root -j DROP
 %if %%method_eth4 == 'bridge'
/sbin/iptables -A FORWARD -i breth4 -j ACCEPT
/sbin/iptables -A INPUT -i breth4 -j eth4-root
 %else
/sbin/iptables -A INPUT -i eth4 -j eth4-root
 %end if
%end if

 %if %%method_eth0 == 'bridge'
/sbin/iptables -A INPUT -i breth0 -j ACCEPT
/sbin/iptables -A FORWARD -i breth0 -j ACCEPT
 %end if

 %if %%method_eth1 == 'bridge'
/sbin/iptables -A INPUT -i breth1 -j ACCEPT
/sbin/iptables -A FORWARD -i breth1 -j ACCEPT
 %end if

 %if %%method_eth2 == 'bridge'
/sbin/iptables -A INPUT -i breth2 -j ACCEPT
/sbin/iptables -A FORWARD -i breth2 -j ACCEPT
 %end if

 %if %%method_eth3 == 'bridge'
/sbin/iptables -A INPUT -i breth3 -j ACCEPT
/sbin/iptables -A FORWARD -i breth3 -j ACCEPT
 %end if

 %if %%method_eth4 == 'bridge'
/sbin/iptables -A INPUT -i breth4 -j ACCEPT
/sbin/iptables -A FORWARD -i breth4 -j ACCEPT
 %end if

/sbin/iptables -A wide-root -m state --state ESTABLISHED,RELATED -j ACCEPT
#desactive les logs wide->root
#/sbin/iptables -A DROP_W2R  -m limit --limit 15/min -j LOG --log-prefix="iptables DROP wide->root: "
/sbin/iptables -A wide-root -j DROP
 %if %%method_eth0 == 'bridge'
/sbin/iptables -A FORWARD -i breth0 -j ACCEPT
 %end if
/sbin/iptables -A INPUT -i %%interface_eth0 -j wide-root
%if %%is_defined('activer_haute_dispo') and %%activer_haute_dispo != "non"
/sbin/iptables -I %%corosync_dial_if-root -m pkttype --pkt-type multicast -j ACCEPT
%end if

%if %%getVar('fw_interetab_accept' , 'non') == "oui"
# Règles iptables intertunnels sur Sphynx
/sbin/iptables -A FORWARD -i %%interface_eth0 -o %%interface_eth0 -j wide-wide
 %for %%ip_etab in %%ip_source_etab
  %if %%ip_etab.proto_dest_etab == "tout"
/sbin/iptables -A wide-wide -m policy --pol ipsec --proto esp --dir in -s %%ip_etab/%%ip_etab.netmask_source_etab -d %%ip_etab.ip_dest_etab/%%ip_etab.netmask_dest_etab -j ACCEPT
  %else if %%ip_etab.proto_dest_etab == "icmp"
/sbin/iptables -A wide-wide -m policy --pol ipsec --proto esp --dir in -s %%ip_etab/%%ip_etab.netmask_source_etab -d %%ip_etab.ip_dest_etab/%%ip_etab.netmask_dest_etab -p %%ip_etab.proto_dest_etab -j ACCEPT
  %else
/sbin/iptables -A wide-wide -m policy --pol ipsec --proto esp --dir in -m state --state NEW -s %%ip_etab/%%ip_etab.netmask_source_etab -d %%ip_etab.ip_dest_etab/%%ip_etab.netmask_dest_etab -p %%ip_etab.proto_dest_etab --dport %%ip_etab.port_dest_etab -j ACCEPT
  %end if
 %end for
#pour finir, on interdit le reste
/sbin/iptables -A wide-wide -m policy --pol ipsec --proto esp --dir in -j DROP
%end if
